%{?nodejs_find_provides_and_requires}

%global packagename base64-arraybuffer
%global enable_tests 1

Name:		nodejs-base64-arraybuffer
Version:	0.1.5
Release:	5%{?dist}
Summary:	Encode/decode base64 data into ArrayBuffers

License:	MIT
URL:		https://github.com/niklasvh/base64-arraybuffer
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz
# The test files are not included in the npm tarball.
# Source1 is generated by running Source10, which pulls from the upstream
# version control repository.
Source1:	tests-%{version}.tar.bz2
Source10:	dl-tests.sh
Source11:	https://raw.githubusercontent.com/niklasvh/base64-arraybuffer/master/Gruntfile.js


ExclusiveArch:	%{nodejs_arches} noarch
BuildArch:	noarch

BuildRequires:	nodejs-packaging
%if 0%{?enable_tests}
BuildRequires:	npm(grunt)
BuildRequires:	npm(grunt-cli)
#BuildRequires:	npm(grunt-contrib-jshint)
BuildRequires:	npm(grunt-contrib-nodeunit)
BuildRequires:	npm(grunt-contrib-watch)
%endif

%description
Encode/decode base64 data into ArrayBuffers


%prep
%autosetup -n package
# setup the tests
%autosetup -T -D -a 1 -n package
# copy the Gruntfile
cp -p %{SOURCE11} .

%build
# nothing to do!

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json lib/ \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
%{_bindir}/grunt nodeunit
%else
%{_bindir}/echo -e "\e[101m -=#=- Tests disabled -=#=- \e[0m"
%endif

%files
%doc README.md
%license LICENSE-MIT
%{nodejs_sitelib}/%{packagename}

%changelog
* Thu Jul 25 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.5-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Fri Feb 01 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.5-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.5-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Thu Feb 08 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Sun Mar 26 2017 Jared Smith <jsmith@fedoraproject.org> - 0.1.5-1
- Initial packaging
